GROWLNOTIFY(1)

NAME
growlnotify - send a notification to Growl

SYNOPSIS
growlnotify [-hsvuwc] [-i ext] [-I filepath] [--image filepath] [-a appname] [-p priority] [-H host] [-P password] [--port port] [-n name] [-A method] [--progress value] [-m message] [-t] [title]

DESCRIPTION
growlnotify posts a distributed notification to Growl.

The options are as follows:

-h, --help
    Display this help and exit.

-v, --version
    Display version number and exit.

-n, --name name
    Sets the application name to register the notification under. By default 'growlnotify' is used.

title
    The title of the notification.

-t, --title
    Does nothing. This is included to make the syntax compatible with gnotify, another Growl example written in a different programming language.

-m, --message message
    Uses message instead of stdin as the notification message (also called description). If message is '-', stdin is still used.

-a, --appIcon name
    Sets the notification's application icon to the icon for the given application name. If you don't specify a notification icon, this will be used instead of it; if you specify both, the application icon may be used as a badge (that is, displayed in a corner of the notification icon, superimposed on top of it), or the display may show both separately.

    Icons are not supported by all displays, so this may be ignored.

-i, --icon ext
    Sets the notification icon to the default icon for the given extension or HFS-encoded file type. For example, -i mp3 and -i 'MP3 ' (note the space in the second example) will both use the icon for MP3 files.

    Icons are not supported by all displays, so this may be ignored.

-I, --iconpath path
    Sets the notification icon to the given file's icon (the icon you would see in the Finder if you were looking at the file).

    Icons are not supported by all displays, so this may be ignored.

--image path
    Sets the notification icon to contents of the given image file. As of Mac OS X 10.3, this file must be in PNG, JPEG, TIFF, PICT, PDF, JPEG 2000, Adobe Photoshop, BMP, .ico, or .icns format. If the image data is in a format Growl doesn't recognize, the notification will still go through, and the icon will be ignored.

    Icons are not supported by all displays, so this may be ignored anyway.

-p, --priority priority
    Sets the priority for the notification to an int or named key (default is 0).

    Priority is not supported by all displays, so this may be ignored.

-s, --sticky
    Causes the notification to stick around until clicked.

    Sticky notifications are not supported by all displays, so this may be ignored.

-d, --identifier
    Sets the identifier for the notification. The identifier is used for coalescing, which means multiple notifications with the same identifer will use a single bubble, the latest notification taking precedence.

    Coalescing is not supported by all displays, so this may be ignored.

-w, --wait
    Causes growlnotify to wait until the notification is dismissed (either by clicking or timing out) before it returns.

-H, --host
    Sends the notification to a remote host instead of the local computer. This option requires the remote host being set up to accept remote notifications. The argument is the host to send the notification to.

-P, --password
    Sets the password to be used for the remote notification. This is necessary if the remote host requires a password for remote notifications.

-u, --udp
    Sends the remote notification with UDP instead of Distributed Objects.

--port
    Sets the port number to use for UDP notifications.

-A, --auth
    Specify digest algorithm for UDP authentication. Either MD5 [Default], SHA256 or NONE.

-c, --crypt
    Encrypt UDP notifications. By default, UDP notifications are sent unencrypted.

--progress
    Set a progress value for this notification.

growlnotify displays a notification using Growl. If -m isn't specified or is set to '-', the message is read from stdin. If you don't redirect stdin (e.g. with the shell's | or < operators), growlnotify will be reading from the terminal, and you will need to send EOF (normally, ctrl-D) on an empty line to end the message.

If -p is used then priority can be an int between -2 and 2 or can be a named key in the following list: Very Low, Moderate, Normal, High, Emergency.

EXAMPLES
    % growlnotify --help

Displays this help file.

    % growlnotify --appIcon Xcode Build complete
    growlnotify has finished building
    ^D

Displays a notification telling you that growlnotify has finished building.

    growlnotify --appIcon Xcode Build complete -m 'growlnotify has finished building'

The same as the previous one but suitable for embedding in a script (such as a Shell Script phase).

SEE ALSO
stdin(4)

HISTORY
First appeared as an example for Growl 0.5.